OpenVDB 5.1.0

Classes | Public Types | Public Member Functions | List of all members
MergeBinsOp< PointIndexType > Struct Template Reference

`#include <PointPartitioner.h>`

## Public Types
using | Segment = Array< PointIndexType >
using | SegmentPtr = typename Segment::Ptr
using | IndexPair = std::pair< PointIndexType, PointIndexType >
using | IndexPairList = std::deque< IndexPair >
using | IndexPairListPtr = SharedPtr< IndexPairList >
using | IndexPairListMap = std::map< Coord, IndexPairListPtr >
using | IndexPairListMapPtr = SharedPtr< IndexPairListMap >

## Public Member Functions
| MergeBinsOp (IndexPairListMapPtr *bins, SegmentPtr *indexSegments, SegmentPtr *offsetSegments, Coord *coords, size_t numSegments)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Member Typedef Documentation

## ◆ IndexPair

using IndexPair = std::pair<PointIndexType, PointIndexType>

## ◆ IndexPairList

using IndexPairList = std::deque<IndexPair>

## ◆ IndexPairListMap

using IndexPairListMap = std::map<Coord, IndexPairListPtr>

## ◆ IndexPairListMapPtr

using IndexPairListMapPtr = SharedPtr<IndexPairListMap>

## ◆ IndexPairListPtr

using IndexPairListPtr = SharedPtr<IndexPairList>

## ◆ Segment

using Segment = Array<PointIndexType>

## ◆ SegmentPtr

using SegmentPtr = typename Segment::Ptr

## Constructor & Destructor Documentation

## ◆ MergeBinsOp()

MergeBinsOp | ( | IndexPairListMapPtr * | bins,
|  | SegmentPtr * | indexSegments,
|  | SegmentPtr * | offsetSegments,
|  | Coord * | coords,
|  | size_t | numSegments
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

The documentation for this struct was generated from the following file:

- PointPartitioner.h